2025-08-03 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.10:
	- Can mount several ZIP archives, either on top of each other (by
	default), or next to each other (with the `-o nomerge` option)
	(https://github.com/google/mount-zip/issues/28)
	- Automatically trim as many directories as possible from the top
	of the tree
	- Add the `-o notrim` option for cases where no tree trimming is
	desired or necessary

2025-02-19 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.8:
	- Use FUSE 3 by default (https://github.com/google/mount-zip/issues/26)

2025-01-13 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.6:
	- By default, create the mount point in the current working directory
	- Always use `-o` for command line options
	- Don't use path prefixes such as `ROOT`, `UP` or `CUR` for absolute and parent-relative paths
	- Keep inode number when updating a directory node

2024-12-16 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.4:
	- Handle file paths starting with "./" (https://github.com/google/mount-zip/issues/29)
	- Adjust blackbox tests so that they can successfully run in a different time zone than the author's time zone

2024-12-09 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.2:
	- Default file UID/GID is the UID/GID of the user running mount-zip
	- Add dmask and fmask options
	- Sensible default access bits
	- Better handling of default_permissions option
	- Better handling of double filename extensions (e.g. .tar.gz)

2024-06-02 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.15:
	- Fix statvfs implementation
	- Truncate filenames to NAME_MAX bytes
	- Adjust filename extension detection
	- Adjust filename collision resolution

2024-04-21 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.14:
	- Add --memcache option for in-memory cache file
	- Add workaround for cache file on filesystems that don't support O_TMPFILE (https://github.com/google/mount-zip/issues/23)
	- Support older versions of libzip than 1.9.1 (https://github.com/google/mount-zip/issues/20)

2024-03-27 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.13:
	- Allow control characters in filenames and paths

2023-12-04 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.12:
	- Use $TMPDIR by default

2023-10-12 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.11:
	- No functional modification compared to the previous release
	- Tweak the Makefiles

2023-09-15 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.10:
	- No functional modification compared to the previous release
	- Pre-generated man page is stored in source tree

2023-08-17 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.9:
	- No functional modification compared to the previous release
	- Use std::bit_floor to simplify some code

2022-12-27 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.8:
        - Add --precache option for preemptive caching
        - Implement statfs
        - Use libzip's zip_file_is_seekable

2022-09-06 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.7:
        - Check compression and encryption methods at mount time
        - Add --cache option to specify a cache directory
        - Add --nocache option to disable caching
        - 'make doc' shows the generated man page
        - Fix bug in Path::WithoutExtension()
        - Use open() with O_TMPFILE to create the cache file
        - Emulate posix_fallocate on macOS
        - Fix build error on macOS
        - Remove listxattr and getxattr

2022-07-26 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.6:
	- Log a "Loading" progress message once per second
	- Don't log PID in syslog

2022-02-24 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.5:
	- Fix quadratic behavior when resolving name collisions
	- Use default filename conversion if unknown encoding is passed
	- Implement listxattr and getxattr
	- Add tests

2021-12-22 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.4:
	- Add tests
	- Add "raw" and "libzip" filename encodings
	- Skip filenames longer than NAME_MAX
	- Use fuse_main()
	- Improve logs
	- Fix for NetBSD

2021-11-28 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.3:
	- Don't try to seek encrypted files
	- Better debug logs for lengthy operations
	- Tuned Makefile

2021-11-23 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.2:
	- No functional change
	- Cleaned up Makefiles
	- Build with optimizations by default

2021-11-22 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.1:
	- No functional change
	- Minor code refactoring
	- Add FileMapping and IcuGuard classes

2021-11-20 François Degros <fdegros@chromium.org>

	* Released mount-zip 1.0.0:
	- Forked from fuse-zip 0.7.2
	- Read-only mode (no read-write mode anymore)
	- Decompresses lazily when reading file (Reader class)
	- Supports encrypted files (ZipCrypto and AES)
	- Detects file name encoding thanks to ICU
	- Deduplicates file names
	- Reads huge files, even on 32-bit devices
	- Can hide symlinks (-o nosymlinks)
	- Can hide hard links (-o nohardlinks)
	- Can hide special files (-o nospecials)
	- Can redact log messages (--redact)
	- Returns distinct error codes for different error conditions
	- Uses Boost Intrusive collections for internal tree
	- Uses C++20
	- Fixed hard link count for directories and files
	- Fixed inode number for hard links
	- Rewrote black-box test in Python 3
	- Renamed and formatted source files to Chromium's style
	- Enhanced README
	- Man page generated from README

2021-01-31 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.7.2:
	- Allow pkg-config binary override (patch from François Degros).
	- Fix compiler warning (patch from thanhminhmr).
	- Add .gitignore since BitBucket repository are now in git format.

2020-06-20 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.7.1:
	- Issue #67: treat file nodes with zero file type bits as regular files.

2019-09-08 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.7.0:
	- PKWARE NTFS extra field support. Support high-precision timestamps
	via this extension.
	- PKWARE NTFS extra field: preserve 'reserved' field and unknown tags.
	- Full read support for PKWARE UNIX extra field features. Write
	support for all PKWARE UNIX features except hard links.
	- Full support for block/character devices, sockets and FIFOs.
	- Read only support for hard links.
	- Support for file and archive comments.
	- Work-around for PKWARE's interpretation of 'version made by' field.
	- Support FUSE 2.9.
	- Update ctime on rename.
	- Now requires C++11-compilant compiler to build.

2019-08-03 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.6.2:
	- Fixed parsing of Info-Zip New Unix extra field if size of UID or GID
	is less than size of uid_t or gid_t.

2019-07-17 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.6.1:
	- Fixed extra field timestamps parsing on 64-bit systems.
	- Fixed compilation with gcc 8.3.0 (patch from Michael Davis), closes
	issue #55.

2019-03-12 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.6.0:
	- Fixed incompatibility with iconv module.
	- inode numbers is now unique.
	- Include libzip version on --version output.
	- Set minimum libzip version to 1.0, remove deprecated functions usage.
	- Fixed extended set of compiler warnings (type conversion, old style
	casts).
	- Added debug utils.

2018-12-01 Alexander Galanin <al@galanin.nnov.ru>
	* Released 0.5.0:
	- #54: Force open in read-only mode if archive file or its parent
	directory is not writable.

2018-02-04 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.4.5:
	- #52: Print error message and exit on nonexistent file in read-only mode.
	- #51: Check return value of chdir().
	- Add Reiner Herrmann's patch to make the build reproducible.
	- Fixed errors found by static code analysis.

2017-12-04 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.4.4:
	- Fixed problem with README installation.

2017-12-03 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.4.3:
	- License changed to GPLv3 or later because LGPLv3 is too confusing.
	- Support mknod() system call.
	- Fixed out of bounds write on sparse file (issue #50).
	- Fixed timestamp and file attribute fields saving into archive.

2016-02-28 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.4.2:
	- Properly handle ZIP_SOURCE_SUPPORTS call introduced in libzip 1.0 (fixes #46)

2014-07-04 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.4.1:
	- Fixed problem with subdir module support.
	- Applied makefile conventions from GNU Coding Standards.

2014-01-14 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.4.0:
	- Symbolic links (issue #8)
	- UNIX file permissions and owner info (issue #36)
	- DOS file attributes
	- Creation/access time

2013-12-10 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.3.2:
	- Fixed compilation problem on Mac OS X

2013-12-07 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.3.1:
	- Fixed compilation problems
	- Fixed memory reservation

2013-06-29 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.3.0:
	- ZIP64 support (issue #30, issue #34, issue #35)
	- Relative and absolute paths support (issue #23)
	- Fixed compilation problems (issue #29, issue #31)

2010-12-06 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.2.13:
	- Fixed issue #27: Android APK Support
	- Fixed issue #28: doesn't honor the -r flag for some zip files

2010-02-07 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.2.12:
	- Fixed problem with lost new file after truncate().
	- Fixed problems with rename(): Fixed various rename() problems: lost
	path for subdirectory entries, duplicates of moved directories in a
	hierarchy, invalid key in map after rename.
	- Fixed unitialized values in read() call.
	- Fixed memory leaks: buffer allocated for file content not freeed in
	NEW state, incorrect buffer size in truncate().
	- Fixed non-fatal memory leaks: FUSE options not freeed after use,
	memory leak in help/version mode, internal data structures not freeed
	if FUSE setup failed.
	- More correct corrupted files handling.
	- More correct memory insufficiency errors handling.

2010-01-26 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.2.11:
	- Fixed issue #25: does not compile with libfuse <= 2.8

2010-01-09 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.2.10:
	- Fixed issue #14: added '-r' option description.
	- Added note about converting file names inside archive (for Russians
	who uses 'another OS')

2010-01-08 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.2.9:
	- Fixed issue #22, now command-line options are correctly processed

2009-11-18 Alexander Galanin <al@galanin.nnov.ru>

	* Released 0.2.8:
	- Fixed issue #20: incorrect directory size reported

2008-12-06 Alexander Galanin <gaa.nnov@mail.ru>

	* Released 0.2.7:
	- Fixed segfault if user tried to re-open corrupted file from an
	invalid archive.

2008-09-29 Alexander Galanin <gaa.nnov@mail.ru>

	* Released 0.2.6:
	- Fixed: Compilation error on FreeBSD/Mac OS X with FUSE 2.7

2008-08-24 Alexander Galanin <gaa.nnov@mail.ru>

	* Released 0.2.5:
	- Fixed: Archives containing files whose parent directory does not
	present in archive, reported as broken.

2008-08-09 Alexander Galanin <gaa.nnov@mail.ru>

	* Released 0.2.4:
	- fixed wrong directory size on 32-bit Linux machines

2008-06-26 Alexander Galanin <gaa.nnov@mail.ru>

	* Released 0.2.3:
	- fixed problem with time and size of new files
	- free space on file system now equal to free space in archive dir
	- added missing includes
	- removed GNU-specific commands in Makefile

2008-06-16 Alexander Galanin <gaa.nnov@mail.ru>

	* Released 0.2.2:
	- re-licensed under LGPLv3+
	- fixed problem with file modification time
	- fixed problems with compilation on non-Linux systems

2008-06-14 Alexander Galanin <gaa.nnov@mail.ru>

	* Released 0.2.1:
	- fixed bug with file size on 32-bit systems
	- fixed compilation problems on non-GNU platforms
	- fixed compilation problems on GCC 4.3+
	- added stubs for *xattr() system calls
	- more checks for error cases

2008-06-11 Alexander Galanin <gaa.nnov@mail.ru>

	* Released 0.2.0:
	- implemented all functions to mount archive read-write
	- big internal refactoring
	- added performance tests
	- fixed problem with simultaneous file access
	- fixed problem with one-character file names
	* Known limitations:
	- archives with items like '../../somefile' recognited as broken

2008-06-04 Alexander Galanin <gaa.nnov@mail.ru>

	* Initial release 0.1.0:
	- implemented all base functions for read-only archive support

